Mailrelay API Reference

Get a WhatsApp template by id

GET https://{account}/api/v1/whatsapp/templates/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get a specific WhatsApp template with full details including components

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record

Responses

StatusDescription
200 Success
404 Couldn't find record with provided ID.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.
403 WhatsApp endpoints require the WhatsApp add-on package or a paid plan.

Response fields

NameTypeDescription
id integer ID
name string Name
template_id string Template
template_version string Template version
category string Category
language string Language
status string Status
rejected_reason string Rejected reason
waba_id string WhatsApp Business Account
created_at string Created at
updated_at string Updated at
components array An array of template components. Must include exactly one BODY component. Optional components: HEADER (TEXT, IMAGE, VIDEO, or DOCUMENT format), FOOTER, and BUTTONS (up to 2 URL buttons).
header_media object